/**
 *
 */
package jp.agentec.sinaburocast.form.admin.member;

import jp.agentec.sinaburocast.form.admin.setting.PagingForm;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Maxlength;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;

/**
 * @author kim-hs
 *
 */
@Component(instance=InstanceType.SESSION)
public class DeliveryGroupSearchForm  extends PagingForm {

	public String listWriter;
	public String listName;
	public String fromDay;
	public String toDay;
	public Integer pageNo = 1;
	public String groupId;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.groupName"), target="deliveryGroupMemberEdit")
	@Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.groupName"), target="deliveryGroupMemberEdit")
	public String editGroupName;

	@Maxlength(maxlength=256, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.memo"), target="deliveryGroupMemberEdit")
	public String editMemo;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.targetListName"), target="deliveryGroupRemake")
	public String targetList;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.targetNewName"), target="deliveryGroupRemake")
	@Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.targetNewName"), target="deliveryGroupRemake")
	public String targetNewName;

	public String checkFlg;

	public void clearAll() {

		listWriter = null;
		listName = null;
		fromDay = null;
		toDay = null;
		groupId = null;
		editGroupName = null;
		editMemo = null;
		targetList = null;
		targetNewName = null;
		checkFlg = null;
		pageNo = 1;

		pagingMapAdd(PAGING);
	}

	public void clearSearch() {

		listWriter = null;
		listName = null;
		fromDay = null;
		toDay = null;
		groupId = null;
		editGroupName = null;
		editMemo = null;
		targetList = null;
		targetNewName = null;
		checkFlg = null;
		pageNo = 1;

	}

	public void clearPage() {
		pagingMapAdd(PAGING);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.DEFAULT_STYLE).toString();
	}
}
