package jp.agentec.sinaburocast.common;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;


public class ToStringBuilderEx extends ToStringBuilder {
	// LATER:arima 起動時に適切なタイミングで ToStringBuilder.setDefaultStyle() を呼ぶことさえできれば ToStringBuilderExは不要
	static {
		StandardToStringStyle style = new StandardToStringStyle();
		style.setUseIdentityHashCode(false);
		style.setUseShortClassName(true);
		setDefaultStyle(style);
	}

	public ToStringBuilderEx(Object object) {
		super(object);
	}

	public ToStringBuilderEx(Object object, ToStringStyle style) {
		super(object, style);
	}

	public ToStringBuilderEx(Object object, ToStringStyle style,
			StringBuffer buffer) {
		super(object, style, buffer);
	}

}
